## 基本概念
- **折线图**，指一种通过有序连接数据点形成的图形，能够直观反映数据随时间或有序类别变化的连续性趋势，类型包含基础折线图，折线堆叠状图，堆叠区域图等，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0618b6f318b75663d4d9392991541740_r.png" width="400" ></div>


## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ca87531a63dd5e7d712d6e5885abf146_r.png" width="400" ></div>

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5fcd5802ec4ed7d4d68cd18057661923_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7d16b89c5944b5233e9475e7a15ff562_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_764f75d0cbb054495b5a0ffd0dc12fe4_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 背景颜色
设置组件背景颜色与背景颜色透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ac4404b4b10c4d57355ef135d55f5056_r.png" width="400" ></div>

### 背景图片
设置组件背景图片可上传或输入图片地址，设置后可预览或清空背景图片。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af2a28183b7b2b4710b0df82b13d1492_r.png" width="400" ></div>
&emsp;&emsp;

- 填充方式：可选择背景图填充方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c8a744388e0a76eac108d2413550f5b4_r.png" width="400" ></div>

### 数据排序
数据排序：无序、正序、倒序。
无序：按照数据的输出次序展示。
正序：从数据第一项到最后一项在图表中展示。
倒序：从数据最后一项到第一项在图表中展示。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_f19351572280cd14399257115a647249_r.png" width="400" ></div>

### 条目数量
条目数量：展示图表的数据条目数量。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_880d746e19f25f179a108adc4ee593ca_r.png" width="400" ></div>

### 单独配色
单独配色：通过设置数值区间，控制区间内数据的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_df4b7b9fa7d0dbc626428cc76fed869f_r.png" width="400" ></div>

## 样式说明

### 系列颜色
设置组件柱状颜色，可添加多个。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_550b7f1901a632da6a04183c40fd95cf_r.png" width="400" ></div>

### x轴样式
设置x轴线的颜色和文字的颜色，可以添加单位。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7c0a7694e31994d6e19c9bb802a451a2_r.png" width="400" ></div>

### y轴样式
设置y轴线的颜色和文字的颜色，可以添加单位。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_2dcb9d2d6de6ef12bacc57cf5479ff40_r.png" width="400" ></div>

### 图例样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_eba5de1cc5e8d7b58438f3c217a0635c_r.png" width="400" ></div>

+ 图例样式：可开启或关闭图例；
+ 图例颜色：可设置图例的颜色；
+ 图例水平位置：可设置图例在组件中的水平位置；
+ 图例垂直位置：可设置图例在组件中的垂直位置；
+ 图例分布：可设置图例分布方向。

### 标题样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_32a7ce3652b01af534788739c6ee32fd_r.png" width="400" ></div>

+ 标题样式：可开启或关闭标题展示；
+ 标题：可设置标题显示内容；
+ 标题颜色：可设置标题文字颜色；
+ 水平位置：可设置标题在组件中的水平位置；
+ 垂直位置：可设置标题在组件中的垂直位置；
+ 标题文字：可设置标题文字大小；
+ 内边距：可设置标题在组件中的内边距。

### 图表边距

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c5b6dc6a47e4292e40fd121fb89982bf_r.png" width="400" ></div>

+ 上边距：图标距离上方的边距；
+ 右边距：图标距离右方的边距；
+ 下边距：图标距离下方的边距；
+ 左边距：图标距离左方的边距；


## 数据说明

数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07e27d9688bb5bea6735bfc7ceb9bd32_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_84b24c5a0ffacdd87225e420d872aa09_r.png" width="400" ></div>


## 交互参数说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_9a0242a329b05a9b371a41939cb64fa2_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 数据：设置组件数据。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a962e5b6ecd7d8aa90a2c645d4e34d94_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。