## 基本概念
- **雷达图**，指以中心点为基准向外辐射多条轴线，通过连接各轴线上的数据点形成不规则多边形，用于‌可视化多维数据‌（4维以上）的图表工具，也称蜘蛛图‌、‌极坐标图‌或‌星状图‌，其形态类似雷达或蜘蛛网‌。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bc9a32edb0f6d9b9b03faae7127b1ea3_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_804a29a32f0025283fc95cc757b9231b_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fd0c97d5de236c118db65dcdb5b29a79_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_764f75d0cbb054495b5a0ffd0dc12fe4_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 背景颜色
设置组件背景颜色与背景颜色透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ac4404b4b10c4d57355ef135d55f5056_r.png" width="400" ></div>

### 背景图片
设置组件背景图片可上传或输入图片地址，设置后可预览或清空背景图片。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af2a28183b7b2b4710b0df82b13d1492_r.png" width="400" ></div>
&emsp;&emsp;

- 填充方式：可选择背景图填充方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c8a744388e0a76eac108d2413550f5b4_r.png" width="400" ></div>

## 样式说明

### 系列颜色
设置组件柱状颜色，可添加多个。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_550b7f1901a632da6a04183c40fd95cf_r.png" width="400" ></div>

### 图例样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_eba5de1cc5e8d7b58438f3c217a0635c_r.png" width="400" ></div>

+ 图例样式：可开启或关闭图例；
+ 图例颜色：可设置图例的颜色；
+ 图例水平位置：可设置图例在组件中的水平位置；
+ 图例垂直位置：可设置图例在组件中的垂直位置；
+ 图例分布：可设置图例分布方向。

### 标题样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_61d3e0d650cfa6d96734ab5c6e0df332_r.png" width="400" ></div>
&emsp;&emsp;

+ 标题样式：可开启或关闭标题展示；
+ 标题：可设置标题显示内容；
+ 标题颜色：可设置标题文字颜色；
+ 水平位置：可设置标题在组件中的水平位置；
+ 垂直位置：可设置标题在组件中的垂直位置；
+ 标题文字：可设置标题文字大小；
+ 内边距：可设置标题在组件中的内边距。

### 图表边距

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c5b6dc6a47e4292e40fd121fb89982bf_r.png" width="400" ></div>
&emsp;&emsp;

+ 上边距：图标距离上方的边距；
+ 右边距：图标距离右方的边距；
+ 下边距：图标距离下方的边距；
+ 左边距：图标距离左方的边距；

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_02bcdf078d1d970e488dd975ea61d13c_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8382acbddebc4aa3a965ae600500776f_r.png" width="400" ></div>

## 交互参数说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_aebce9348c7bbdf7cd1846e7c2ecf7d7_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 数据：设置组件数据。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a962e5b6ecd7d8aa90a2c645d4e34d94_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。