## 基本概念
- **词云图**，指一种基于文本数据的关键词可视化表达形式。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_cc948ec8e683aa939736069617ee1e41_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_bfcae05a53420880a25ec0561b9017c8_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_4ed501886b818208f8bbc85819367268_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_764f75d0cbb054495b5a0ffd0dc12fe4_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 背景颜色
设置组件背景颜色与背景颜色透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ac4404b4b10c4d57355ef135d55f5056_r.png" width="400" ></div>

### 背景图片
设置组件背景图片可上传或输入图片地址，设置后可预览或清空背景图片。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af2a28183b7b2b4710b0df82b13d1492_r.png" width="400" ></div>
&emsp;&emsp;

- 填充方式：可选择背景图填充方式。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c8a744388e0a76eac108d2413550f5b4_r.png" width="400" ></div>

## 样式说明

### 系列颜色
设置图表中文字颜色，下拉选择。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3cf300472a5857516459ac8165068c65_r.png" width="400" ></div>

### 标题样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_7d3f832d3239953ad5be6c977a7781bd_r.png" width="400" ></div>
&emsp;&emsp;

+ 标题样式：可开启或关闭标题展示；
+ 标题：可设置标题显示内容；
+ 标题颜色：可设置标题文字颜色；
+ 水平位置：可设置标题在组件中的水平位置；
+ 垂直位置：可设置标题在组件中的垂直位置；
+ 标题文字：可设置标题文字大小；
+ 内边距：可设置标题在组件中的内边距。

### 图表边距

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c5b6dc6a47e4292e40fd121fb89982bf_r.png" width="400" ></div>
&emsp;&emsp;

+ 上边距：图标距离上方的边距；
+ 右边距：图标距离右方的边距；
+ 下边距：图标距离下方的边距；
+ 左边距：图标距离左方的边距；

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c9d6cbc6ee4420b4a45021d0aacc0463_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_30260e90464539bc9a4db75703d4d794_r.png" width="400" ></div>


## 交互参数说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e8211b3cef983959357c6b8ecd656d27_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 数据：设置组件数据。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_a962e5b6ecd7d8aa90a2c645d4e34d94_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。