## 基本概念
- **数字翻牌**，由若干个数字板组成，每个数字板上包含0~9十个数字中的一个，支持通过动画效果进行数字的更新和变化，实现数字的连续显示和滚动更新。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_77bb262e95f6bfe1eaef569f74bc01ba_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8467fa19ce7a5377c784e3cda2bbf5d5_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_360c30b6eb5ac185d0b9cb3cdf442a2d_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_42e5c255ae2c57201ef75d772fac4bac_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_46b7d9900528965d248e22f65ad59120_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 内容
设置组件的内容，组件只支持数字，且如果数据存在的时候，先展示数据，在数据为空的情况，内容属性才能使用。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_dc8ca530e3998105d63b2655e470a57b_r.png" width="400" ></div>

### 翻牌速度
设置翻牌速度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3f0405e70ee0b5d50e4be41abf13702a_r.png" width="400" ></div>



## 样式说明

### 背景颜色
设置翻牌速度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e7c473014a68bedad60b28292b500bba_r.png" width="400" ></div>

### 字体

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_50239a101c14ec842e226e0bde4bac4f_r.png" width="400" ></div>

- 字体库：可设置字体类型；
- 字体大小：可设置文字的大小；
- 字体颜色：可设置文字的颜色；
- 字体样式：可设置文字加粗和斜体；
- 字体阴影：可设置是否开启字体阴影；
- 阴影颜色：可设置阴影的颜色；
- 阴影大小：可设置阴影的大小。

### 边框

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5d2b7035cd7a2cdb81fcb642c42f885e_r.png" width="400" ></div>

- 边框颜色：可设置每张牌边框的颜色；
- 边框类型：可设置边框的线体类型；
- 边框宽度：可设置边框的宽度；
- 边框圆角：可设置边框的圆角。

## 数据说明
数据结构：描述每一个数字字段的名称、映射、数据类型。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3cfc98eecf879d6b739938ded7a644f3_r.png" width="400" ></div>

- 源数据：编辑json格式数据，如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_950ca55595cbde728cf6c19ab3ec7676_r.png" width="400" ></div>


## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_8702bf92e1daeeff0d0745125da1f045_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae1a9f7159f283db72dffced672a4c72_r.png" width="400" ></div>

+ 点击事件：组件点击触发。
+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。


## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。