## 基本概念
- **饼状图层**，指在地理底图的区域单元内（如行政区、网格等），叠加饼图符号，利用扇区的比例关系反映该区域内不同类别的构成或对比情况，实现空间分布与比例关系的双重表达，属隐形配置型组件，与三维地球组件绑定使用。如下图所示：

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e855c4cf97b1fada3ebba3bb6acd53a7_r.png" width="400" ></div>

## 属性说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_ae25f8e7a3e2c33832575d271b71931c_r.png" width="400" ></div>

### 组件名称
设置组件名称，用于在图层中显示组件的名称。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_fbcff0d0f1b9f44dd18339784bfda018_r.png" width="400" ></div>

### 组件尺寸
设置组件的宽度和高度，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e91df05734681fe538a2bd42675e2ef1_r.png" width="400" ></div>

### 组件位置
设置组件在大屏中的位置，通过横纵坐标来定义，单位为 px。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_609d7332fba03f455f911a330b7072bf_r.png" width="400" ></div>

### 旋转
设置组件在图层中的旋转角度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_242150a36adf8923369be3a23a58c969_r.png" width="400" ></div>

### 不透明度
设置组件不透明度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_1559fe451094ca5c698172c682a3f2c9_r.png" width="400" ></div>

### 三维地球
选择区域限制的数据作用的地图组件。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3fd5d6c71a609d083bc8b22fafb59d5a_r.png" width="400" ></div>

### 地理数据
支持本地文件、Web地址两种方式添加数据。
本地文件：上传数据，数据格式为json格式数据，上传完成后，点击确认按钮后，区域数据添加成功。
web地址：输入数据地址，点击确认按钮后，区域数据添加成功。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_af23ca54aab29bac02ed86189fbf2984_r.png" width="400" ></div>


## 样式说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_220c8211df6ee057a70300dd3e87a31f_r.png" width="400" ></div>

### 饼状样式

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_5e9515d7a551441378d1405e1952cac7_r.png" width="400" ></div>

+ 大小：饼状样式的大小。
+ 背景颜色：设置饼状图层中每个饼状图的背景颜色。
+ 锚点：设置饼状图的位置在数据的偏移位置。
+ x轴偏移：设置饼状图的位置的x轴的偏移量。
+ y轴偏移：设置饼状图的位置的y轴的偏移量。
+ 箭头：设置是否展示箭头。
+ 标题：设置饼状图的标题。

### 数据内容

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_3101782f84bdd3098af0916b45fa7400_r.png" width="400" ></div>

+ 标题：设置饼状图层数据中每一个饼状图的标题。
+ 专题颜色：设置饼状图的主题颜色。

### 提示

鼠标划上饼状图后，是否提示饼状图的信息。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_c4e7c64b931fd7fd4bb30d663b8a918a_r.png" width="400" ></div>


### 专题类型
设置专题类型单一专题图、单值专题图、范围专题图。

+ 单一专题图：
	+ 颜色：设置OD图层起点到终点线条的颜色。
	+ 线宽：设置OD图层起点到终点线条的宽度。
	+ 图标颜色：设置OD图层的移动区域图标。
	+ 宽度：设置移动区域图标的宽度。
	+ 高度：设置移动区域图标的高度。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_60822ff857b59966b34d6406c6ff01e2_r.png" width="400" ></div>

+ 单值专题图：
	+ 属性字段：读取上传的OD数据中的属性字段properties。
	+ 主题颜色：选择属性字段后，根据选择的主题颜色，改变OD图层的起点到终点的线条颜色

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_0cc954cfb2674488dbe84075700b23c6_r.png" width="400" ></div>

+ 范围专题图：
	+ 属性字段：读取上传的OD数据中的属性字段。
	+ 分段数据：设置颜色主题的数量。
	+ 主题颜色：根据属性字段数值进行分段，设置每个区间的颜色。

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_6f9b09bbd90a01bd4b58464bdbc7d005_r.png" width="400" ></div>

## 交互参数说明
<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_e678cce37f961ab10d88583740a83f6a_r.png" width="400" ></div>

+ 显示：设置组件显隐。
+ 位置：设置组件位置。
+ 尺寸：设置组件宽高。
+ 数据：设置组件数据。
+ 过滤条件：设置过滤条件过滤组件数据。

## 交互事件说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_b1405d35f01a2559d14c8dfae2b78a3b_r.png" width="400" ></div>

+ 位置变更：组件位置发生改变后，触发位置变更。
+ 尺寸变更：组件尺寸发生改变后，触发尺寸变更。
+ afterLoading：组件数据加载完成调用。

## 动画说明

<div width="100%" align=center>
<img src="/wiki/uploads/easyAppsManual/images/m_07c85f3ac8c784111905bb6d3e91dcd6_r.png" width="400" ></div>

+ 动画名称：可设置名称内容；
+ 触发方式：可设置不同的触发动作触发动画；
+ 动画类型：可选择不同的动画类型触发动画；
+ 动作类型：可选择不同的动作类型触发动画；
+ 运动方式：可选择不同的运动方式触发动画；
+ 延迟播放：可设置延迟动画多长时间后触发动画；
+ 动画时长：可设置动画的运动时间；
+ 重复播放：可设置重复播放的方式；
+ 重复次数：重复播放 方式选择重复后，可设置重复次数，指改动画重复的次数；
+ 运动行为：可选择不同的运动方式；
+ 结束状态：可选择不同结束状态的方式。